---
title: Nuxt Setup
description: ''
---

## Installation

::code-group
  ```bash [Yarn]
  yarn add pinia-orm @pinia-orm/nuxt
  ```
  ```bash [NPM]
  npm install @pinia-orm/nuxt --save
  ```
::

## Configuration

::alert{type="warning"}
If your using `Nuxt 2` you also need to stick nanoid to version 3.3.4. This is related to https://github.com/ai/nanoid/issues/365
<br><br>
**E.g. yarn**

````json[package.json]
...
  "resolutions": {
    "nanoid": "3.3.4"
  }
...
````
::

::code-group
  ```ts{} [Nuxt 3]
  import { defineNuxtConfig } from 'nuxt3'
  
  export default defineNuxtConfig({
    modules: [
      '@pinia/nuxt', 
      '@pinia-orm/nuxt'
    ]
  })
  ```
  ```js{} [Nuxt 2]
  export default {
    buildModules: [
    '@nuxtjs/composition-api/module',
    '@pinia/nuxt'
    ],
    modules: ['@pinia-orm/nuxt'],
    // Related to https://github.com/nuxt/nuxt.js/issues/7822
    build: {
      transpile: [
        'pinia-orm'
      ]
    },
  }
  ```
::
